#ifndef LEDCARD_H
#define LEDCARD_H

#include <QObject>

class LedCard :public QObject
{
    Q_OBJECT
    Q_PROPERTY(QString strCardId MEMBER m_strCardId NOTIFY CardIdChanged)
    Q_PROPERTY(QString strCardIp MEMBER m_strCardIp NOTIFY CardIpChanged)
    Q_PROPERTY(qint32 iCardWidth MEMBER m_iWidth NOTIFY WidthChanged)
    Q_PROPERTY(qint32 iCardHeight MEMBER m_iHeight NOTIFY HeightChanged)
    Q_PROPERTY(QString   strCardRemarkName MEMBER m_strCardRemarkName  NOTIFY CardRemarkNameChanged)

public:
    LedCard(QObject *p = nullptr);
    ~LedCard();
signals:
    void CardIdChanged(const QString &);
    void CardIpChanged(const QString &);
    void WidthChanged(qint32 t);
    void HeightChanged(qint32 t);
    void CardRemarkNameChanged(const QString &);
public:
    //属性
    QString   m_strCardId;
    QString   m_strCardIp;
    qint32 m_iWidth = 0;
    qint32 m_iHeight = 0;
    QString   m_strCardRemarkName = "";
    QString starterversionName = "";
    int starterPort = 0;
    QString androidVersion = "";
    int iHttpGetId = 0;
    int androidHeight = 0;
    //int iCardSystemVersion = 0;
    int brightness = 255;
    int androidWidth = 0;
    int lastActive = 0;
    QString strIMEI="";
    QString HardVersion="0000";
    int BrightnessLevel=255;
    QString ScreenResolution="";
    QString FirmwareVersion="";
    QString strXixunplayerVersion="";
    int strXixunplayerVersionCode=0;
    bool bPassword=false;
    void copyLedCardHTTPGetParam(LedCard *p);
    void copyLedCardHTTPPostParam(LedCard *p);
    bool CompareHTTPGetParam(LedCard *p);
    bool CompareHTTPPostParam(LedCard *p);
    //状态
    bool m_bLockStatus=true;
    bool m_bPowerStatus=true;
    bool m_bOnLine=true;


};

#endif // LEDCARD_H
